Subject: Re: Git in GSoC 2025

From: shejialuo <[email-masked]>
Date: Tue, 4 Feb 2025 10:29:50 +0800

On Sun, Feb 02, 2025 at 05:22:05PM +0530, Kaartic Sivaraam wrote:
> Hello Christian, Karthik, Jialuo, Patrick and all,
> 
> On 28/01/25 23:00, Kaartic Sivaraam wrote:
> > 
> > Thank you for suggesting these ideas, Patrick! I've incorporated them
> > into a draft ideas page for now. You can see them here:
> > 
> > https://git.github.io/SoC-2025-Ideas/
> > 
> > Kindly suggest any corrections to the description, project size /
> > difficulty as necessary. I've mentioned potential mentors based on what
> > I'm aware of so far.
> > 
> > Patrick, Christian and Karthik, kindly mention the ideas that you're
> > interested to mentor.
> > 
> 
> Gentle reminder that the ideas list needs completion. Specifically, the
> following ideas only list Patrick as a potential mentor:
> 

Thanks for the reminder.

>   - Refactoring in order to reduce Git’s global state
> 

Although I never code for this, I have reviewed a lot of patches others
work on. So, I think I could co-mentor this.

>   - Machine-Readable Repository Information Query Tool
> 
> The following idea mentions Karthik and Patrick as potential
> mentors.
> 
>   - Implement support for reftables in “dumb” HTTP transport
> 
> The following idea mentions Jialuo and Patrick as potential
> mentors.
> 
>   - Consolidate ref-related functionality into git-refs
> 

I am OK wth this.

> It would helpful if you all could chime in to let me know if the
> existing allocation is fine and to what other projects you need
> to be mentioned as potential mentors.
> 

In conclusion, I could cover two projects as a co-mentor.

Thanks,
Jialuo

> --
> Sivaraam